IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network1.114.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
1.114.0.0- Broadcast address
1.115.255.255- First usable
1.114.0.1- Last usable
1.115.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
01720000· Integer24248320to24379391 - Reverse DNS zones
114.1.in-addr.arpa115.1.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000001.01110010.00000000.00000000 | 1.114.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 00000001.01110010.00000000.00000000 | 1.114.0.0 |
| Broadcast | 00000001.01110011.11111111.11111111 | 1.115.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
1.114.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 1.114.0.0/23 | 1.114.0.1 to 1.114.1.254 | 1.114.1.255 | 510 |
| 2 | 1.114.2.0/23 | 1.114.2.1 to 1.114.3.254 | 1.114.3.255 | 510 |
| 3 | 1.114.4.0/23 | 1.114.4.1 to 1.114.5.254 | 1.114.5.255 | 510 |
| 4 | 1.114.6.0/23 | 1.114.6.1 to 1.114.7.254 | 1.114.7.255 | 510 |
| 5 | 1.114.8.0/23 | 1.114.8.1 to 1.114.9.254 | 1.114.9.255 | 510 |
| 6 | 1.114.10.0/23 | 1.114.10.1 to 1.114.11.254 | 1.114.11.255 | 510 |
| 7 | 1.114.12.0/23 | 1.114.12.1 to 1.114.13.254 | 1.114.13.255 | 510 |
| 8 | 1.114.14.0/23 | 1.114.14.1 to 1.114.15.254 | 1.114.15.255 | 510 |
| 9 | 1.114.16.0/23 | 1.114.16.1 to 1.114.17.254 | 1.114.17.255 | 510 |
| 10 | 1.114.18.0/23 | 1.114.18.1 to 1.114.19.254 | 1.114.19.255 | 510 |
| 11 | 1.114.20.0/23 | 1.114.20.1 to 1.114.21.254 | 1.114.21.255 | 510 |
| 12 | 1.114.22.0/23 | 1.114.22.1 to 1.114.23.254 | 1.114.23.255 | 510 |
| 13 | 1.114.24.0/23 | 1.114.24.1 to 1.114.25.254 | 1.114.25.255 | 510 |
| 14 | 1.114.26.0/23 | 1.114.26.1 to 1.114.27.254 | 1.114.27.255 | 510 |
| 15 | 1.114.28.0/23 | 1.114.28.1 to 1.114.29.254 | 1.114.29.255 | 510 |
| 16 | 1.114.30.0/23 | 1.114.30.1 to 1.114.31.254 | 1.114.31.255 | 510 |
| 17 | 1.114.32.0/23 | 1.114.32.1 to 1.114.33.254 | 1.114.33.255 | 510 |
| 18 | 1.114.34.0/23 | 1.114.34.1 to 1.114.35.254 | 1.114.35.255 | 510 |
| 19 | 1.114.36.0/23 | 1.114.36.1 to 1.114.37.254 | 1.114.37.255 | 510 |
| 20 | 1.114.38.0/23 | 1.114.38.1 to 1.114.39.254 | 1.114.39.255 | 510 |
| 21 | 1.114.40.0/23 | 1.114.40.1 to 1.114.41.254 | 1.114.41.255 | 510 |
| 22 | 1.114.42.0/23 | 1.114.42.1 to 1.114.43.254 | 1.114.43.255 | 510 |
| 23 | 1.114.44.0/23 | 1.114.44.1 to 1.114.45.254 | 1.114.45.255 | 510 |
| 24 | 1.114.46.0/23 | 1.114.46.1 to 1.114.47.254 | 1.114.47.255 | 510 |
| 25 | 1.114.48.0/23 | 1.114.48.1 to 1.114.49.254 | 1.114.49.255 | 510 |
| 26 | 1.114.50.0/23 | 1.114.50.1 to 1.114.51.254 | 1.114.51.255 | 510 |
| 27 | 1.114.52.0/23 | 1.114.52.1 to 1.114.53.254 | 1.114.53.255 | 510 |
| 28 | 1.114.54.0/23 | 1.114.54.1 to 1.114.55.254 | 1.114.55.255 | 510 |
| 29 | 1.114.56.0/23 | 1.114.56.1 to 1.114.57.254 | 1.114.57.255 | 510 |
| 30 | 1.114.58.0/23 | 1.114.58.1 to 1.114.59.254 | 1.114.59.255 | 510 |
| 31 | 1.114.60.0/23 | 1.114.60.1 to 1.114.61.254 | 1.114.61.255 | 510 |
| 32 | 1.114.62.0/23 | 1.114.62.1 to 1.114.63.254 | 1.114.63.255 | 510 |
| 33 | 1.114.64.0/23 | 1.114.64.1 to 1.114.65.254 | 1.114.65.255 | 510 |
| 34 | 1.114.66.0/23 | 1.114.66.1 to 1.114.67.254 | 1.114.67.255 | 510 |
| 35 | 1.114.68.0/23 | 1.114.68.1 to 1.114.69.254 | 1.114.69.255 | 510 |
| 36 | 1.114.70.0/23 | 1.114.70.1 to 1.114.71.254 | 1.114.71.255 | 510 |
| 37 | 1.114.72.0/23 | 1.114.72.1 to 1.114.73.254 | 1.114.73.255 | 510 |
| 38 | 1.114.74.0/23 | 1.114.74.1 to 1.114.75.254 | 1.114.75.255 | 510 |
| 39 | 1.114.76.0/23 | 1.114.76.1 to 1.114.77.254 | 1.114.77.255 | 510 |
| 40 | 1.114.78.0/23 | 1.114.78.1 to 1.114.79.254 | 1.114.79.255 | 510 |
| 41 | 1.114.80.0/23 | 1.114.80.1 to 1.114.81.254 | 1.114.81.255 | 510 |
| 42 | 1.114.82.0/23 | 1.114.82.1 to 1.114.83.254 | 1.114.83.255 | 510 |
| 43 | 1.114.84.0/23 | 1.114.84.1 to 1.114.85.254 | 1.114.85.255 | 510 |
| 44 | 1.114.86.0/23 | 1.114.86.1 to 1.114.87.254 | 1.114.87.255 | 510 |
| 45 | 1.114.88.0/23 | 1.114.88.1 to 1.114.89.254 | 1.114.89.255 | 510 |
| 46 | 1.114.90.0/23 | 1.114.90.1 to 1.114.91.254 | 1.114.91.255 | 510 |
| 47 | 1.114.92.0/23 | 1.114.92.1 to 1.114.93.254 | 1.114.93.255 | 510 |
| 48 | 1.114.94.0/23 | 1.114.94.1 to 1.114.95.254 | 1.114.95.255 | 510 |
| 49 | 1.114.96.0/23 | 1.114.96.1 to 1.114.97.254 | 1.114.97.255 | 510 |
| 50 | 1.114.98.0/23 | 1.114.98.1 to 1.114.99.254 | 1.114.99.255 | 510 |
| 51 | 1.114.100.0/23 | 1.114.100.1 to 1.114.101.254 | 1.114.101.255 | 510 |
| 52 | 1.114.102.0/23 | 1.114.102.1 to 1.114.103.254 | 1.114.103.255 | 510 |
| 53 | 1.114.104.0/23 | 1.114.104.1 to 1.114.105.254 | 1.114.105.255 | 510 |
| 54 | 1.114.106.0/23 | 1.114.106.1 to 1.114.107.254 | 1.114.107.255 | 510 |
| 55 | 1.114.108.0/23 | 1.114.108.1 to 1.114.109.254 | 1.114.109.255 | 510 |
| 56 | 1.114.110.0/23 | 1.114.110.1 to 1.114.111.254 | 1.114.111.255 | 510 |
| 57 | 1.114.112.0/23 | 1.114.112.1 to 1.114.113.254 | 1.114.113.255 | 510 |
| 58 | 1.114.114.0/23 | 1.114.114.1 to 1.114.115.254 | 1.114.115.255 | 510 |
| 59 | 1.114.116.0/23 | 1.114.116.1 to 1.114.117.254 | 1.114.117.255 | 510 |
| 60 | 1.114.118.0/23 | 1.114.118.1 to 1.114.119.254 | 1.114.119.255 | 510 |
| 61 | 1.114.120.0/23 | 1.114.120.1 to 1.114.121.254 | 1.114.121.255 | 510 |
| 62 | 1.114.122.0/23 | 1.114.122.1 to 1.114.123.254 | 1.114.123.255 | 510 |
| 63 | 1.114.124.0/23 | 1.114.124.1 to 1.114.125.254 | 1.114.125.255 | 510 |
| 64 | 1.114.126.0/23 | 1.114.126.1 to 1.114.127.254 | 1.114.127.255 | 510 |
| 65 | 1.114.128.0/23 | 1.114.128.1 to 1.114.129.254 | 1.114.129.255 | 510 |
| 66 | 1.114.130.0/23 | 1.114.130.1 to 1.114.131.254 | 1.114.131.255 | 510 |
| 67 | 1.114.132.0/23 | 1.114.132.1 to 1.114.133.254 | 1.114.133.255 | 510 |
| 68 | 1.114.134.0/23 | 1.114.134.1 to 1.114.135.254 | 1.114.135.255 | 510 |
| 69 | 1.114.136.0/23 | 1.114.136.1 to 1.114.137.254 | 1.114.137.255 | 510 |
| 70 | 1.114.138.0/23 | 1.114.138.1 to 1.114.139.254 | 1.114.139.255 | 510 |
| 71 | 1.114.140.0/23 | 1.114.140.1 to 1.114.141.254 | 1.114.141.255 | 510 |
| 72 | 1.114.142.0/23 | 1.114.142.1 to 1.114.143.254 | 1.114.143.255 | 510 |
| 73 | 1.114.144.0/23 | 1.114.144.1 to 1.114.145.254 | 1.114.145.255 | 510 |
| 74 | 1.114.146.0/23 | 1.114.146.1 to 1.114.147.254 | 1.114.147.255 | 510 |
| 75 | 1.114.148.0/23 | 1.114.148.1 to 1.114.149.254 | 1.114.149.255 | 510 |
| 76 | 1.114.150.0/23 | 1.114.150.1 to 1.114.151.254 | 1.114.151.255 | 510 |
| 77 | 1.114.152.0/23 | 1.114.152.1 to 1.114.153.254 | 1.114.153.255 | 510 |
| 78 | 1.114.154.0/23 | 1.114.154.1 to 1.114.155.254 | 1.114.155.255 | 510 |
| 79 | 1.114.156.0/23 | 1.114.156.1 to 1.114.157.254 | 1.114.157.255 | 510 |
| 80 | 1.114.158.0/23 | 1.114.158.1 to 1.114.159.254 | 1.114.159.255 | 510 |
| 81 | 1.114.160.0/23 | 1.114.160.1 to 1.114.161.254 | 1.114.161.255 | 510 |
| 82 | 1.114.162.0/23 | 1.114.162.1 to 1.114.163.254 | 1.114.163.255 | 510 |
| 83 | 1.114.164.0/23 | 1.114.164.1 to 1.114.165.254 | 1.114.165.255 | 510 |
| 84 | 1.114.166.0/23 | 1.114.166.1 to 1.114.167.254 | 1.114.167.255 | 510 |
| 85 | 1.114.168.0/23 | 1.114.168.1 to 1.114.169.254 | 1.114.169.255 | 510 |
| 86 | 1.114.170.0/23 | 1.114.170.1 to 1.114.171.254 | 1.114.171.255 | 510 |
| 87 | 1.114.172.0/23 | 1.114.172.1 to 1.114.173.254 | 1.114.173.255 | 510 |
| 88 | 1.114.174.0/23 | 1.114.174.1 to 1.114.175.254 | 1.114.175.255 | 510 |
| 89 | 1.114.176.0/23 | 1.114.176.1 to 1.114.177.254 | 1.114.177.255 | 510 |
| 90 | 1.114.178.0/23 | 1.114.178.1 to 1.114.179.254 | 1.114.179.255 | 510 |
| 91 | 1.114.180.0/23 | 1.114.180.1 to 1.114.181.254 | 1.114.181.255 | 510 |
| 92 | 1.114.182.0/23 | 1.114.182.1 to 1.114.183.254 | 1.114.183.255 | 510 |
| 93 | 1.114.184.0/23 | 1.114.184.1 to 1.114.185.254 | 1.114.185.255 | 510 |
| 94 | 1.114.186.0/23 | 1.114.186.1 to 1.114.187.254 | 1.114.187.255 | 510 |
| 95 | 1.114.188.0/23 | 1.114.188.1 to 1.114.189.254 | 1.114.189.255 | 510 |
| 96 | 1.114.190.0/23 | 1.114.190.1 to 1.114.191.254 | 1.114.191.255 | 510 |
| 97 | 1.114.192.0/23 | 1.114.192.1 to 1.114.193.254 | 1.114.193.255 | 510 |
| 98 | 1.114.194.0/23 | 1.114.194.1 to 1.114.195.254 | 1.114.195.255 | 510 |
| 99 | 1.114.196.0/23 | 1.114.196.1 to 1.114.197.254 | 1.114.197.255 | 510 |
| 100 | 1.114.198.0/23 | 1.114.198.1 to 1.114.199.254 | 1.114.199.255 | 510 |
| 101 | 1.114.200.0/23 | 1.114.200.1 to 1.114.201.254 | 1.114.201.255 | 510 |
| 102 | 1.114.202.0/23 | 1.114.202.1 to 1.114.203.254 | 1.114.203.255 | 510 |
| 103 | 1.114.204.0/23 | 1.114.204.1 to 1.114.205.254 | 1.114.205.255 | 510 |
| 104 | 1.114.206.0/23 | 1.114.206.1 to 1.114.207.254 | 1.114.207.255 | 510 |
| 105 | 1.114.208.0/23 | 1.114.208.1 to 1.114.209.254 | 1.114.209.255 | 510 |
| 106 | 1.114.210.0/23 | 1.114.210.1 to 1.114.211.254 | 1.114.211.255 | 510 |
| 107 | 1.114.212.0/23 | 1.114.212.1 to 1.114.213.254 | 1.114.213.255 | 510 |
| 108 | 1.114.214.0/23 | 1.114.214.1 to 1.114.215.254 | 1.114.215.255 | 510 |
| 109 | 1.114.216.0/23 | 1.114.216.1 to 1.114.217.254 | 1.114.217.255 | 510 |
| 110 | 1.114.218.0/23 | 1.114.218.1 to 1.114.219.254 | 1.114.219.255 | 510 |
| 111 | 1.114.220.0/23 | 1.114.220.1 to 1.114.221.254 | 1.114.221.255 | 510 |
| 112 | 1.114.222.0/23 | 1.114.222.1 to 1.114.223.254 | 1.114.223.255 | 510 |
| 113 | 1.114.224.0/23 | 1.114.224.1 to 1.114.225.254 | 1.114.225.255 | 510 |
| 114 | 1.114.226.0/23 | 1.114.226.1 to 1.114.227.254 | 1.114.227.255 | 510 |
| 115 | 1.114.228.0/23 | 1.114.228.1 to 1.114.229.254 | 1.114.229.255 | 510 |
| 116 | 1.114.230.0/23 | 1.114.230.1 to 1.114.231.254 | 1.114.231.255 | 510 |
| 117 | 1.114.232.0/23 | 1.114.232.1 to 1.114.233.254 | 1.114.233.255 | 510 |
| 118 | 1.114.234.0/23 | 1.114.234.1 to 1.114.235.254 | 1.114.235.255 | 510 |
| 119 | 1.114.236.0/23 | 1.114.236.1 to 1.114.237.254 | 1.114.237.255 | 510 |
| 120 | 1.114.238.0/23 | 1.114.238.1 to 1.114.239.254 | 1.114.239.255 | 510 |
| 121 | 1.114.240.0/23 | 1.114.240.1 to 1.114.241.254 | 1.114.241.255 | 510 |
| 122 | 1.114.242.0/23 | 1.114.242.1 to 1.114.243.254 | 1.114.243.255 | 510 |
| 123 | 1.114.244.0/23 | 1.114.244.1 to 1.114.245.254 | 1.114.245.255 | 510 |
| 124 | 1.114.246.0/23 | 1.114.246.1 to 1.114.247.254 | 1.114.247.255 | 510 |
| 125 | 1.114.248.0/23 | 1.114.248.1 to 1.114.249.254 | 1.114.249.255 | 510 |
| 126 | 1.114.250.0/23 | 1.114.250.1 to 1.114.251.254 | 1.114.251.255 | 510 |
| 127 | 1.114.252.0/23 | 1.114.252.1 to 1.114.253.254 | 1.114.253.255 | 510 |
| 128 | 1.114.254.0/23 | 1.114.254.1 to 1.114.255.254 | 1.114.255.255 | 510 |
| 129 | 1.115.0.0/23 | 1.115.0.1 to 1.115.1.254 | 1.115.1.255 | 510 |
| 130 | 1.115.2.0/23 | 1.115.2.1 to 1.115.3.254 | 1.115.3.255 | 510 |
| 131 | 1.115.4.0/23 | 1.115.4.1 to 1.115.5.254 | 1.115.5.255 | 510 |
| 132 | 1.115.6.0/23 | 1.115.6.1 to 1.115.7.254 | 1.115.7.255 | 510 |
| 133 | 1.115.8.0/23 | 1.115.8.1 to 1.115.9.254 | 1.115.9.255 | 510 |
| 134 | 1.115.10.0/23 | 1.115.10.1 to 1.115.11.254 | 1.115.11.255 | 510 |
| 135 | 1.115.12.0/23 | 1.115.12.1 to 1.115.13.254 | 1.115.13.255 | 510 |
| 136 | 1.115.14.0/23 | 1.115.14.1 to 1.115.15.254 | 1.115.15.255 | 510 |
| 137 | 1.115.16.0/23 | 1.115.16.1 to 1.115.17.254 | 1.115.17.255 | 510 |
| 138 | 1.115.18.0/23 | 1.115.18.1 to 1.115.19.254 | 1.115.19.255 | 510 |
| 139 | 1.115.20.0/23 | 1.115.20.1 to 1.115.21.254 | 1.115.21.255 | 510 |
| 140 | 1.115.22.0/23 | 1.115.22.1 to 1.115.23.254 | 1.115.23.255 | 510 |
| 141 | 1.115.24.0/23 | 1.115.24.1 to 1.115.25.254 | 1.115.25.255 | 510 |
| 142 | 1.115.26.0/23 | 1.115.26.1 to 1.115.27.254 | 1.115.27.255 | 510 |
| 143 | 1.115.28.0/23 | 1.115.28.1 to 1.115.29.254 | 1.115.29.255 | 510 |
| 144 | 1.115.30.0/23 | 1.115.30.1 to 1.115.31.254 | 1.115.31.255 | 510 |
| 145 | 1.115.32.0/23 | 1.115.32.1 to 1.115.33.254 | 1.115.33.255 | 510 |
| 146 | 1.115.34.0/23 | 1.115.34.1 to 1.115.35.254 | 1.115.35.255 | 510 |
| 147 | 1.115.36.0/23 | 1.115.36.1 to 1.115.37.254 | 1.115.37.255 | 510 |
| 148 | 1.115.38.0/23 | 1.115.38.1 to 1.115.39.254 | 1.115.39.255 | 510 |
| 149 | 1.115.40.0/23 | 1.115.40.1 to 1.115.41.254 | 1.115.41.255 | 510 |
| 150 | 1.115.42.0/23 | 1.115.42.1 to 1.115.43.254 | 1.115.43.255 | 510 |
| 151 | 1.115.44.0/23 | 1.115.44.1 to 1.115.45.254 | 1.115.45.255 | 510 |
| 152 | 1.115.46.0/23 | 1.115.46.1 to 1.115.47.254 | 1.115.47.255 | 510 |
| 153 | 1.115.48.0/23 | 1.115.48.1 to 1.115.49.254 | 1.115.49.255 | 510 |
| 154 | 1.115.50.0/23 | 1.115.50.1 to 1.115.51.254 | 1.115.51.255 | 510 |
| 155 | 1.115.52.0/23 | 1.115.52.1 to 1.115.53.254 | 1.115.53.255 | 510 |
| 156 | 1.115.54.0/23 | 1.115.54.1 to 1.115.55.254 | 1.115.55.255 | 510 |
| 157 | 1.115.56.0/23 | 1.115.56.1 to 1.115.57.254 | 1.115.57.255 | 510 |
| 158 | 1.115.58.0/23 | 1.115.58.1 to 1.115.59.254 | 1.115.59.255 | 510 |
| 159 | 1.115.60.0/23 | 1.115.60.1 to 1.115.61.254 | 1.115.61.255 | 510 |
| 160 | 1.115.62.0/23 | 1.115.62.1 to 1.115.63.254 | 1.115.63.255 | 510 |
| 161 | 1.115.64.0/23 | 1.115.64.1 to 1.115.65.254 | 1.115.65.255 | 510 |
| 162 | 1.115.66.0/23 | 1.115.66.1 to 1.115.67.254 | 1.115.67.255 | 510 |
| 163 | 1.115.68.0/23 | 1.115.68.1 to 1.115.69.254 | 1.115.69.255 | 510 |
| 164 | 1.115.70.0/23 | 1.115.70.1 to 1.115.71.254 | 1.115.71.255 | 510 |
| 165 | 1.115.72.0/23 | 1.115.72.1 to 1.115.73.254 | 1.115.73.255 | 510 |
| 166 | 1.115.74.0/23 | 1.115.74.1 to 1.115.75.254 | 1.115.75.255 | 510 |
| 167 | 1.115.76.0/23 | 1.115.76.1 to 1.115.77.254 | 1.115.77.255 | 510 |
| 168 | 1.115.78.0/23 | 1.115.78.1 to 1.115.79.254 | 1.115.79.255 | 510 |
| 169 | 1.115.80.0/23 | 1.115.80.1 to 1.115.81.254 | 1.115.81.255 | 510 |
| 170 | 1.115.82.0/23 | 1.115.82.1 to 1.115.83.254 | 1.115.83.255 | 510 |
| 171 | 1.115.84.0/23 | 1.115.84.1 to 1.115.85.254 | 1.115.85.255 | 510 |
| 172 | 1.115.86.0/23 | 1.115.86.1 to 1.115.87.254 | 1.115.87.255 | 510 |
| 173 | 1.115.88.0/23 | 1.115.88.1 to 1.115.89.254 | 1.115.89.255 | 510 |
| 174 | 1.115.90.0/23 | 1.115.90.1 to 1.115.91.254 | 1.115.91.255 | 510 |
| 175 | 1.115.92.0/23 | 1.115.92.1 to 1.115.93.254 | 1.115.93.255 | 510 |
| 176 | 1.115.94.0/23 | 1.115.94.1 to 1.115.95.254 | 1.115.95.255 | 510 |
| 177 | 1.115.96.0/23 | 1.115.96.1 to 1.115.97.254 | 1.115.97.255 | 510 |
| 178 | 1.115.98.0/23 | 1.115.98.1 to 1.115.99.254 | 1.115.99.255 | 510 |
| 179 | 1.115.100.0/23 | 1.115.100.1 to 1.115.101.254 | 1.115.101.255 | 510 |
| 180 | 1.115.102.0/23 | 1.115.102.1 to 1.115.103.254 | 1.115.103.255 | 510 |
| 181 | 1.115.104.0/23 | 1.115.104.1 to 1.115.105.254 | 1.115.105.255 | 510 |
| 182 | 1.115.106.0/23 | 1.115.106.1 to 1.115.107.254 | 1.115.107.255 | 510 |
| 183 | 1.115.108.0/23 | 1.115.108.1 to 1.115.109.254 | 1.115.109.255 | 510 |
| 184 | 1.115.110.0/23 | 1.115.110.1 to 1.115.111.254 | 1.115.111.255 | 510 |
| 185 | 1.115.112.0/23 | 1.115.112.1 to 1.115.113.254 | 1.115.113.255 | 510 |
| 186 | 1.115.114.0/23 | 1.115.114.1 to 1.115.115.254 | 1.115.115.255 | 510 |
| 187 | 1.115.116.0/23 | 1.115.116.1 to 1.115.117.254 | 1.115.117.255 | 510 |
| 188 | 1.115.118.0/23 | 1.115.118.1 to 1.115.119.254 | 1.115.119.255 | 510 |
| 189 | 1.115.120.0/23 | 1.115.120.1 to 1.115.121.254 | 1.115.121.255 | 510 |
| 190 | 1.115.122.0/23 | 1.115.122.1 to 1.115.123.254 | 1.115.123.255 | 510 |
| 191 | 1.115.124.0/23 | 1.115.124.1 to 1.115.125.254 | 1.115.125.255 | 510 |
| 192 | 1.115.126.0/23 | 1.115.126.1 to 1.115.127.254 | 1.115.127.255 | 510 |
| 193 | 1.115.128.0/23 | 1.115.128.1 to 1.115.129.254 | 1.115.129.255 | 510 |
| 194 | 1.115.130.0/23 | 1.115.130.1 to 1.115.131.254 | 1.115.131.255 | 510 |
| 195 | 1.115.132.0/23 | 1.115.132.1 to 1.115.133.254 | 1.115.133.255 | 510 |
| 196 | 1.115.134.0/23 | 1.115.134.1 to 1.115.135.254 | 1.115.135.255 | 510 |
| 197 | 1.115.136.0/23 | 1.115.136.1 to 1.115.137.254 | 1.115.137.255 | 510 |
| 198 | 1.115.138.0/23 | 1.115.138.1 to 1.115.139.254 | 1.115.139.255 | 510 |
| 199 | 1.115.140.0/23 | 1.115.140.1 to 1.115.141.254 | 1.115.141.255 | 510 |
| 200 | 1.115.142.0/23 | 1.115.142.1 to 1.115.143.254 | 1.115.143.255 | 510 |
| 201 | 1.115.144.0/23 | 1.115.144.1 to 1.115.145.254 | 1.115.145.255 | 510 |
| 202 | 1.115.146.0/23 | 1.115.146.1 to 1.115.147.254 | 1.115.147.255 | 510 |
| 203 | 1.115.148.0/23 | 1.115.148.1 to 1.115.149.254 | 1.115.149.255 | 510 |
| 204 | 1.115.150.0/23 | 1.115.150.1 to 1.115.151.254 | 1.115.151.255 | 510 |
| 205 | 1.115.152.0/23 | 1.115.152.1 to 1.115.153.254 | 1.115.153.255 | 510 |
| 206 | 1.115.154.0/23 | 1.115.154.1 to 1.115.155.254 | 1.115.155.255 | 510 |
| 207 | 1.115.156.0/23 | 1.115.156.1 to 1.115.157.254 | 1.115.157.255 | 510 |
| 208 | 1.115.158.0/23 | 1.115.158.1 to 1.115.159.254 | 1.115.159.255 | 510 |
| 209 | 1.115.160.0/23 | 1.115.160.1 to 1.115.161.254 | 1.115.161.255 | 510 |
| 210 | 1.115.162.0/23 | 1.115.162.1 to 1.115.163.254 | 1.115.163.255 | 510 |
| 211 | 1.115.164.0/23 | 1.115.164.1 to 1.115.165.254 | 1.115.165.255 | 510 |
| 212 | 1.115.166.0/23 | 1.115.166.1 to 1.115.167.254 | 1.115.167.255 | 510 |
| 213 | 1.115.168.0/23 | 1.115.168.1 to 1.115.169.254 | 1.115.169.255 | 510 |
| 214 | 1.115.170.0/23 | 1.115.170.1 to 1.115.171.254 | 1.115.171.255 | 510 |
| 215 | 1.115.172.0/23 | 1.115.172.1 to 1.115.173.254 | 1.115.173.255 | 510 |
| 216 | 1.115.174.0/23 | 1.115.174.1 to 1.115.175.254 | 1.115.175.255 | 510 |
| 217 | 1.115.176.0/23 | 1.115.176.1 to 1.115.177.254 | 1.115.177.255 | 510 |
| 218 | 1.115.178.0/23 | 1.115.178.1 to 1.115.179.254 | 1.115.179.255 | 510 |
| 219 | 1.115.180.0/23 | 1.115.180.1 to 1.115.181.254 | 1.115.181.255 | 510 |
| 220 | 1.115.182.0/23 | 1.115.182.1 to 1.115.183.254 | 1.115.183.255 | 510 |
| 221 | 1.115.184.0/23 | 1.115.184.1 to 1.115.185.254 | 1.115.185.255 | 510 |
| 222 | 1.115.186.0/23 | 1.115.186.1 to 1.115.187.254 | 1.115.187.255 | 510 |
| 223 | 1.115.188.0/23 | 1.115.188.1 to 1.115.189.254 | 1.115.189.255 | 510 |
| 224 | 1.115.190.0/23 | 1.115.190.1 to 1.115.191.254 | 1.115.191.255 | 510 |
| 225 | 1.115.192.0/23 | 1.115.192.1 to 1.115.193.254 | 1.115.193.255 | 510 |
| 226 | 1.115.194.0/23 | 1.115.194.1 to 1.115.195.254 | 1.115.195.255 | 510 |
| 227 | 1.115.196.0/23 | 1.115.196.1 to 1.115.197.254 | 1.115.197.255 | 510 |
| 228 | 1.115.198.0/23 | 1.115.198.1 to 1.115.199.254 | 1.115.199.255 | 510 |
| 229 | 1.115.200.0/23 | 1.115.200.1 to 1.115.201.254 | 1.115.201.255 | 510 |
| 230 | 1.115.202.0/23 | 1.115.202.1 to 1.115.203.254 | 1.115.203.255 | 510 |
| 231 | 1.115.204.0/23 | 1.115.204.1 to 1.115.205.254 | 1.115.205.255 | 510 |
| 232 | 1.115.206.0/23 | 1.115.206.1 to 1.115.207.254 | 1.115.207.255 | 510 |
| 233 | 1.115.208.0/23 | 1.115.208.1 to 1.115.209.254 | 1.115.209.255 | 510 |
| 234 | 1.115.210.0/23 | 1.115.210.1 to 1.115.211.254 | 1.115.211.255 | 510 |
| 235 | 1.115.212.0/23 | 1.115.212.1 to 1.115.213.254 | 1.115.213.255 | 510 |
| 236 | 1.115.214.0/23 | 1.115.214.1 to 1.115.215.254 | 1.115.215.255 | 510 |
| 237 | 1.115.216.0/23 | 1.115.216.1 to 1.115.217.254 | 1.115.217.255 | 510 |
| 238 | 1.115.218.0/23 | 1.115.218.1 to 1.115.219.254 | 1.115.219.255 | 510 |
| 239 | 1.115.220.0/23 | 1.115.220.1 to 1.115.221.254 | 1.115.221.255 | 510 |
| 240 | 1.115.222.0/23 | 1.115.222.1 to 1.115.223.254 | 1.115.223.255 | 510 |
| 241 | 1.115.224.0/23 | 1.115.224.1 to 1.115.225.254 | 1.115.225.255 | 510 |
| 242 | 1.115.226.0/23 | 1.115.226.1 to 1.115.227.254 | 1.115.227.255 | 510 |
| 243 | 1.115.228.0/23 | 1.115.228.1 to 1.115.229.254 | 1.115.229.255 | 510 |
| 244 | 1.115.230.0/23 | 1.115.230.1 to 1.115.231.254 | 1.115.231.255 | 510 |
| 245 | 1.115.232.0/23 | 1.115.232.1 to 1.115.233.254 | 1.115.233.255 | 510 |
| 246 | 1.115.234.0/23 | 1.115.234.1 to 1.115.235.254 | 1.115.235.255 | 510 |
| 247 | 1.115.236.0/23 | 1.115.236.1 to 1.115.237.254 | 1.115.237.255 | 510 |
| 248 | 1.115.238.0/23 | 1.115.238.1 to 1.115.239.254 | 1.115.239.255 | 510 |
| 249 | 1.115.240.0/23 | 1.115.240.1 to 1.115.241.254 | 1.115.241.255 | 510 |
| 250 | 1.115.242.0/23 | 1.115.242.1 to 1.115.243.254 | 1.115.243.255 | 510 |
| 251 | 1.115.244.0/23 | 1.115.244.1 to 1.115.245.254 | 1.115.245.255 | 510 |
| 252 | 1.115.246.0/23 | 1.115.246.1 to 1.115.247.254 | 1.115.247.255 | 510 |
| 253 | 1.115.248.0/23 | 1.115.248.1 to 1.115.249.254 | 1.115.249.255 | 510 |
| 254 | 1.115.250.0/23 | 1.115.250.1 to 1.115.251.254 | 1.115.251.255 | 510 |
| 255 | 1.115.252.0/23 | 1.115.252.1 to 1.115.253.254 | 1.115.253.255 | 510 |
| 256 | 1.115.254.0/23 | 1.115.254.1 to 1.115.255.254 | 1.115.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |